/* Copyright VMware, Inc. All rights reserved. VMware Confidential */
import { Injectable } from "@angular/core";
var NgxDragDropService = (function () {
    function NgxDragDropService() {
        this.defaultInstanceName = 'ngx-dragdrop';
        this.setDefaultInstance();
    }
    Object.defineProperty(NgxDragDropService.prototype, "instanceName", {
        get: function () {
            return this.name;
        },
        set: function (name) {
            this.name = name;
        },
        enumerable: true,
        configurable: true
    });
    NgxDragDropService.prototype.setDefaultInstance = function () {
        this.name = this.defaultInstanceName;
    };
    NgxDragDropService.prototype.isDefaultInstance = function () {
        return this.name === this.defaultInstanceName;
    };
    NgxDragDropService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    NgxDragDropService.ctorParameters = function () { return []; };
    return NgxDragDropService;
}());
export { NgxDragDropService };
//# sourceMappingURL=dragDrop.service.js.map