/* Copyright VMware, Inc. All rights reserved. VMware Confidential */
import { NgModule } from "@angular/core";
import { NgxDraggableDirective } from "./draggable.directive";
import { NgxDroppableDirective } from "./droppable.directive";
import { NgxDragDropService } from "./dragDrop.service";
var NgxDragDropModule = (function () {
    function NgxDragDropModule() {
    }
    NgxDragDropModule.forRoot = function () {
        return {
            ngModule: NgxDragDropModule,
            providers: []
        };
    };
    NgxDragDropModule.forChild = function () {
        return {
            ngModule: NgxDragDropModule,
            providers: []
        };
    };
    NgxDragDropModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        NgxDraggableDirective,
                        NgxDroppableDirective
                    ],
                    providers: [NgxDragDropService],
                    exports: [NgxDraggableDirective, NgxDroppableDirective]
                },] },
    ];
    /** @nocollapse */
    NgxDragDropModule.ctorParameters = function () { return []; };
    return NgxDragDropModule;
}());
export { NgxDragDropModule };
//# sourceMappingURL=ngx-dragdrop.module.js.map